Create video (reference image)
Omni-Flash · unified video creation (POST /v1/video/create, VEO relay physical route; see relay/veo as primary). model=omni-flash / omni-flash-edit routes to the Omni-Flash pipeline; type selects the capability: - 1 =…
POST
/v1/video/createBody Parametersapplication/json
model* string
Enum values: veo2 veo2-fast veo2-fast-frames veo2-fast-components veo2-pro veo3 veo3-fast veo3-pro veo3-pro-frames veo3-fast-frames veo3-frames
prompt* string
Prompt
images array
Supports: first frame + text (veo2, veo2-fast, veo2-pro); first/last frame + text (veo2-fast-frames, veo3 family, veo3.1 family); reference images (1-3) + text (veo3.1-components family).
enhance_prompt* boolean
Veo only supports English prompts. Enable this to auto-translate Chinese prompts to English.
enable_upsample* string
Upscale
aspect_ratio* string
"16:9" or "9:16"
veo_fl_close* boolean
watermark boolean
Whether to remove the watermark
Responses
200 application/json
response-200 object
properties id* string
Resource or task ID
status* string
Status
status_update_time* integer
Status update time
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"prompt": "牛飞上天了",
3"model": "veo3.1-fast",
4"images": [
5"https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
6"https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png",
7"https://iknow-pic.cdn.bcebos.com/5882b2b7d0a20cf4ced1ab5f64094b36adaf99e9"
8],
9"enhance_prompt": true,
10"enable_upsample": true,
11"aspect_ratio": "16:9",
12"veo_fl_close": true,
13"watermark": false
14}
1curl -X POST "https://api.digislash.com/v1/video/create" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"prompt": "牛飞上天了",
6"model": "veo3.1-fast",
7"images": [
8"https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
9"https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png",
10"https://iknow-pic.cdn.bcebos.com/5882b2b7d0a20cf4ced1ab5f64094b36adaf99e9"
11],
12"enhance_prompt": true,
13"enable_upsample": true,
14"aspect_ratio": "16:9",
15"veo_fl_close": true,
16"watermark": false
17}'
1▼{
2"id": "veo3.1-components:1762241017-xTL0P9HvGF",
3"status": "pending",
4"status_update_time": 1762241017286
5}
